CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000417CEGUICore library (CEGUIBase)public2010-12-26 00:142011-02-12 17:37
Reportermichaelvoliveira 
Assigned ToCrazyEddie 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.5 
Target VersionFixed in Version 
Summary0000417: Patch to enable a Haiku (a BeOS clone) port
DescriptionThis patch enables without any errors a successful build into Haiku.

Unfortunately, our GLEW port still on the way, so I hope that we have CEGUI on the next stable version.

Thank you!!!!!
Additional InformationI want to say that configure.ac part will become private (if not, will broke CEGUI for anothers platforms), but will be a good thing don't stop the building if lpthread doesn't detected.

Haiku uses lroot for pthreads, which is linked by default at the end.
TagsNo tags attached.
Attached Filespatch file icon cegui-0.7.5.patch [^] (3,471 bytes) 2010-12-26 00:14 [Show Content]

- Relationships

-  Notes
(0000532)
CrazyEddie (administrator)
2011-02-12 17:37

The patch was applied (without the configure.ac change) in v0-7 branch of mercurial. I also added the test to a few other places where we test for __linux__ and such. Thanks :)

http://crayzedsgui.hg.sourceforge.net/hgweb/crayzedsgui/cegui_mk2/rev/91959d7adb8f [^]

- Issue History
Date Modified Username Field Change
2010-12-26 00:14 michaelvoliveira New Issue
2010-12-26 00:14 michaelvoliveira File Added: cegui-0.7.5.patch
2011-02-06 18:10 CrazyEddie Status new => assigned
2011-02-06 18:10 CrazyEddie Assigned To => CrazyEddie
2011-02-12 17:37 CrazyEddie Note Added: 0000532
2011-02-12 17:37 CrazyEddie Status assigned => resolved
2011-02-12 17:37 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker